MKC_CHECK_PROG(1)

NAME
mkc_check_prog - detects presense of header file.

SYNOPSIS
mkc_check_prog <progname>
mkc_check_prog -h

DESCRIPTION
mkc_check_prog takes a name and looks for the file with that name which would be executable. Executable is searched for along the user's PATH. If appropriate executable is found, a path to it is printed. Otherwise, an error message is printed and mkc_check_prog exits with error.

OPTIONS

-h  Display help message.

-i progid
    progid will be used as a part of _mkc_* cache file name.

ENVIRONMENT

PATH
    List of colon-separated directories.

MKC_VERBOSE
    If set to 1, verbose messages are output to stderr.

MKC_SHOW_CACHED
    If set to 1 and MKC_VERBOSE is set to 1, cached results are output to stderr.

MKC_CACHEDIR
    Directory where temporary and cache files are created. If unset they are created in a current directory.

MKC_NOCACHE
    All results are cached unless MKC_NOCACHE variable is set to 1.

MKC_DELETE_TMPFILES
    If set to 1, temporary files are removed.

EXAMPLES
   mkc_check_prog gawk
   mkc_check_prog c++
   mkc_check_prog lua

AUTHOR
Aleksey Cheusov <vle@gmx.net>